package com.fr.plugin.ztzzSSO.logout;

import com.fr.decision.fun.impl.AbstractLogInOutEventProvider;
import com.fr.decision.webservice.login.LogInOutResultInfo;
import com.fr.decision.webservice.v10.login.LoginService;
import com.fr.plugin.ztzzSSO.config.PluginSimpleConfig;

import javax.servlet.http.HttpSession;

public class Logout extends AbstractLogInOutEventProvider {

    @Override
    public String logoutAction(LogInOutResultInfo result) {
        HttpSession session = result.getRequest().getSession(true);
        LoginService.getInstance().crossDomainLogout(result.getRequest(),result.getResponse(),"");
        session.invalidate();

        PluginSimpleConfig psc = PluginSimpleConfig.getInstance();

        String authUrl = psc.getCodeUrl();
        String redirectURL = psc.getFrDomain()+"/webroot/decision";
        String clientId = psc.getAppId();
        String logoutUrl = psc.getLogoutUrl();

        logoutUrl+="?redirctToUrl="+redirectURL+"&redirectToLogin=true&entityId="+clientId;
        return logoutUrl;
    }
}

