package com.fr.plugin.ztzzSSO.serverDS;

import com.fr.base.TableData;
import com.fr.design.data.tabledata.tabledatapane.AbstractTableDataPane;
import com.fr.design.fun.ServerTableDataDefineProvider;
import com.fr.design.fun.impl.AbstractTableDataDefineProvider;
import com.fr.design.i18n.Toolkit;

public class OrgHttpTableDataDefine extends AbstractTableDataDefineProvider implements ServerTableDataDefineProvider {

    @Override
    public int currentAPILevel() {
        return CURRENT_LEVEL;
    }

    @Override
    public Class<? extends TableData> classForTableData() {
        return OrgHttpTableData.class;
    }

    @Override
    public Class<? extends TableData> classForInitTableData() {
        return OrgHttpTableData.class;
    }

    @Override
    public Class<? extends AbstractTableDataPane> appearanceForTableData() {
        return OrgHttpTableDataPane.class;
    }

    @Override
    public String nameForTableData() {
        return Toolkit.i18nText("组织机构数据集");
    }

    @Override
    public String prefixForTableData() {
        return "zt_org";
    }

    @Override
    public String iconPathForTableData() {
        return "";
    }

}